WaMCP
Api referencemessaging

Send Products

Send a multi-product message with sectioned product lists (up to 30 SKUs total).

POST
/api/messaging/send-products

Send a multi-product message with sectioned product lists (up to 30 SKUs total).

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/messaging/send-products" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string",    "to": "string",    "title": "string",    "body": "string",    "sections": [      {        "title": "string",        "skus": [          "string"        ]      }    ]  }'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}